summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2017-01-14 03:31:00 +0100
committerAlexis Ballier <aballier@gentoo.org>2017-01-14 03:32:44 +0100
commit66dffa4b8c7318642804ab7e1c3a8fc369fcef42 (patch)
tree646dae49088dc8c31a64e7d7b129b8a2a8f9b794 /dev-ml/uutf
parentsys-libs/fts-standalone: Switch to musl-fts (diff)
downloadgentoo-66dffa4b8c7318642804ab7e1c3a8fc369fcef42.tar.gz
gentoo-66dffa4b8c7318642804ab7e1c3a8fc369fcef42.tar.bz2
gentoo-66dffa4b8c7318642804ab7e1c3a8fc369fcef42.zip
dev-ml/uutf: rebuild a proper library after running tests, bug #604674
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'dev-ml/uutf')
-rw-r--r--dev-ml/uutf/uutf-1.0.0-r1.ebuild (renamed from dev-ml/uutf/uutf-1.0.0.ebuild)9
1 files changed, 7 insertions, 2 deletions
diff --git a/dev-ml/uutf/uutf-1.0.0.ebuild b/dev-ml/uutf/uutf-1.0.0-r1.ebuild
index db5de1c0c9c..2e1b6181273 100644
--- a/dev-ml/uutf/uutf-1.0.0.ebuild
+++ b/dev-ml/uutf/uutf-1.0.0-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -32,8 +32,13 @@ src_compile() {
src_test() {
if use ocamlopt ; then
ocamlbuild -use-ocamlfind tests.otarget || die
- cd _build/test || die
+ pushd _build/test || die
./test.native || die
+ #Rebuild to avoid mismatches between installed files, bug #604674
+ popd || die
+ ocaml pkg/pkg.ml build \
+ --with-cmdliner "$(usex utftrip true false)" \
+ || die
else
ewarn "Sorry, ${PN} tests require native support (ocamlopt)"
fi